Subject: Re: perl 5.8.0-2 and WaitForMultipleObjects under win98
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: "Pierre A. Humblet" <[email-masked]>
Date: Fri, 04 Apr 2003 15:26:18 -0500

Eric Blake wrote:
> Has anyone else seen this?  Ever since I upgraded from perl 5.6 to perl 
> 5.8.0-2, I am no longer able to run automake or autoconf on my Win98 
> machine.  Both of those invoke perl, and then hang, printing messages 
> such as:
> 
>     406 [main] perl 614369 sync_with_child: WaitForMultipleObjects timed 
> out
> 307776554 [main] perl 614369 sync_with_child: WaitForMultipleObjects 
> timed out
> 620499865 [main] perl 614369 sync_with_child: WaitForMultipleObjects 
> timed out
> 

This is also happening on WinME when I try to run either of 
those programs with the new perl.  Except I get something 
along the lines of "failed to sync with child" instead of 
WaitForMultipleObjects timed out.  The net effect is the 
same as you reported, though.  I had to revert back to 5.6.1 
because it was so bad.  Rebasing does *not* work, nor do I 
believe this to be a rebasing issue.  I honestly think this 
is the result of fiddling with the stack size during the 
build (--stack,8388608) and non NT systems just don't like 
it.  I may be wrong...

Pierre, since you have WinME, are you seeing this as well?

Cheers,
Nicholas

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/